package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 帮我找房 
 * </p>
 *
 * @author jobob
 * @since 2021-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_search_house")
public class SearchHouseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 意向区域
     */
    private String intentArea;

    /**
     * 意向楼盘
     */
    private String intentBuilding;

    /**
     * 总预算范围最小价格
     */
    private String minPrice;

    /**
     * 总预算范围最大价格
     */
    private String maxPrice;

    /**
     * 首套还是二套
     */
    private String houseNumber;

    /**
     * 0待回访，1已回访，2无效
     */
    private String status;

    /**
     * 审核结果
     */
    private String auditRemark;

    /**
     * 帮我找房类型 1买房2租房3海外置业4增值服务
     */
    private Integer type;

    /**
     * 房屋属性
     */
    private String houseAttribute;

    /**
     * 居室要求
     */
    private String housetRoomType;

    /**
     * 面积要求
     */
    private String houseArea;

    /**
     * 价格要求
     */
    private String housePrice;

    /**
     * 偏好设置
     */
    private String housePreference;

    /**
     * 购房目的
     */
    private String housePurpose;

    /**
     * 购房时间
     */
    private String houseTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租房预算
     */
    private String rentHouseBudget;

    /**
     * 租房居室
     */
    private String rentHousetRoomType;

    /**
     * 租房地址
     */
    private String rentHouseCity;

    /**
     * 租房要求
     */
    private String rentHouseDemand;

    /**
     * 海外城市
     */
    private String overseasHouseCity;

    /**
     * 海外房子预算
     */
    private String overseasHouseBudget;

    /**
     * 海外房屋类型
     */
    private String overseasHouseType;

    /**
     * 海外购房目的
     */
    private String overseasHousePurpose;

    /**
     * 装修预算
     */
    private String fitmentBudget;

    /**
     * 房屋现状
     */
    private String fitmentHousePresent;

    /**
     * 家装模式
     */
    private String fitmentMode;

    /**
     * 看中的家装的方面
     */
    private String fitmentFactor;

    /**
     * 家装风格
     */
    private String fitmentStyle;

    /**
     * 家装诉求
     */
    private String fitmentAppeal;

    /**
     * 家装特殊区域
     */
    private String fitmentSpecialArea;

    /**
     * 智能家居
     */
    private String fitmentIntelligent;

    /**
     * 租房偏好
     */
    private String rentHousePreference;

    /**
     * 装修面积
     */
    private String fitmentArea;

}
